dbXML API

## com.dbxml.db.core.query.plan.logical
Class Value

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Value

Direct Known Subclasses:
  BooleanValue, DateValue, FloatValue, IntValue, StringValue, ValueSet

public abstract class Value
extends LogicalQueryNode

Value

Constructor Summary
`Value()`

Method Summary
`static BooleanValue` `newBooleanValue(boolean value)`
`static DateValue` `newDateValue(java.util.Date value)`
`static FloatValue` `newFloatValue(double value)`
`static FloatValue` `newFloatValue(float value)`
`static IntValue` `newIntValue(byte value)`
`static IntValue` `newIntValue(char value)`
`static IntValue` `newIntValue(int value)`
`static IntValue` `newIntValue(long value)`
`static IntValue` `newIntValue(short value)`
`static StringValue` `newStringValue(java.lang.String value)`
`static StringValue` `newStringValue(java.lang.StringBuffer value)`
`static ValueSet` `newValueSet()`
`static ValueSet` `newValueSet(Value[] values)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value

    public Value()

Method Detail

### newBooleanValue

    public static final BooleanValue newBooleanValue(boolean value)

### newDateValue

    public static final DateValue newDateValue(java.util.Date value)

### newFloatValue

    public static final FloatValue newFloatValue(double value)

### newFloatValue

    public static final FloatValue newFloatValue(float value)

### newIntValue

    public static final IntValue newIntValue(long value)

### newIntValue

    public static final IntValue newIntValue(int value)

### newIntValue

    public static final IntValue newIntValue(short value)

### newIntValue

    public static final IntValue newIntValue(char value)

### newIntValue

    public static final IntValue newIntValue(byte value)

### newStringValue

    public static final StringValue newStringValue(java.lang.String value)

### newStringValue

    public static final StringValue newStringValue(java.lang.StringBuffer value)

### newValueSet

    public static final ValueSet newValueSet()

### newValueSet

    public static final ValueSet newValueSet(Value[] values)

dbXML API

Copyright (c) 2004 The dbXML Group